__gnu_pbds::null_type(3cxx)

NAME
__gnu_pbds::null_type - Represents no type, or absence of type, for template tricks.

SYNOPSIS

#include <tag_and_trait.hpp>

Inherited by __gnu_pbds::null_node_update< _Tp1, _Tp2, _Tp3, _Tp4 >.

Detailed Description

Represents no type, or absence of type, for template tricks.

In a mapped-policy, indicates that an associative container is a set.

In a list-update policy, indicates that each link does not need metadata.

In a hash policy, indicates that the combining hash function is actually a ranged hash function.

In a probe policy, indicates that the combining probe function is actually a ranged probe function.

Definition at line 210 of file tag_and_trait.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.